LAST(1)

BEZEICHNUNG
last, lastb - eine Liste der zuletzt angemeldeten Benutzer anzeigen

ÜBERSICHT

last [Optionen] [Benutzername...] [Terminal...]

lastb [Optionen] [Benutzername...] [Terminal...]

BESCHREIBUNG

last durchsucht die Datei /var/log/wtmp (oder die durch die Option -f angegebene Datei) rückwärts und zeigt eine Liste aller Benutzer an, die sich seit der Erstellung der Datei angemeldet (und abgemeldet) haben. Einer oder mehrere Benutzernamen und/oder TTYs können angegeben werden, in welchem Fall last nur die Einträge anzeigt, die auf diese Argumente passen. Die Namen der TTYs können abgekürzt werden, daher ist last 0 gleichbedeutend mit last tty0.

Wenn eine SIGINT-Signalerbrechungstastenkombination (üblicherweise mit Strg-C erzeugt) oder ein SIGQUIT-Signal empfangen wird, zeigt last an, wie weit die Suche durch die Datei bereits fortgeschritten ist; im Falle des SIGINT-Signals wird last dann beeendet.

Der Pseudo-Benutzer reboot meldet sich jedesmal an, wenn das System neu gestartet wird. Daher zeigt last reboot ein Protokoll aller Neustarts seit der Erstellung der Protokolldatei an.

lastb ist gleichbedeutend mit last, außer dass es in der Voreinstellung ein Protokoll aus der Datei /var/log/btmp anzeigt, welches die fehlgeschlagenen Anmeldeversuche enthält.

OPTIONEN

-a, --hostlast
    zeigt den Rechnernamen in der letzten Spalte an. Dies ist in Kombination mit der Option --dns nützlich.

-d, --dns
    übersetzt die IP-Nummer zurück in einen Rechnernamen. Bei nichtlokalen Anmeldungen speichert Linux nicht nur den Namen des fernen Rechners, sondern auch dessen IP-Nummer.

-f, --file Datei
    weist last an, eine bestimmte Datei anstelle von /var/log/wtmp zu verwenden. Die Option --file kann mehrfach angegeben werden, wodurch alle angegebenen Dateien verarbeitet werden.

-F, --fulltimes
    gibt die vollständigen Zeiten und Daten der An- und Abmeldungen aus.

-i, --ip
    wie --dns, zeigt aber die IP-Adresse des Rechners anstelle des Namens an.

-Anzahl; -n, --limit Anzahl
    weist last an, wie viele Zeilen es anzeigen soll.

-p, --present Zeit
    zeigt die Benutzer an, die zur angegebenen Zeit angemeldet waren. Dies entspricht der Verwendung der Optionen --since und --until zusammen mit der gleichen Zeit.

-R, --nohostname
    unterdrückt die Ausgabe des Rechnernamenfeldes.

-s, --since Zeit
    zeigt den Status der Anmeldungen seit der angegebenen Zeit an. Dies ist beispielsweise nützlich, um zu ermitteln, wer zu einem bestimmten Zeitpunkt angemeldet war. Diese Option wird oft mit --until kombiniert.

-t, --until Zeit
    zeigt den Status der Anmeldungen bis zu der angegebenen Zeit an.

-T, --tab-separated
    verwendet in der Ausgabe ASCII-Tabulatorzeichen zur Trennung der Spalten anstelle von Leerzeichen.

--time-format Format
    definiert das Format des Ausgabe-Zeitstempels, entweder notime, short, full oder iso. Die Variante notime gibt keinerlei Zeitstempel aus, short ist die Vorgabe, und full ist gleichbedeutend mit der Option --fulltimes. Die Variante iso zeigt den Zeitstempel im ISO-8601-Format an. Das ISO-Format zeigt Informationen zur Zeitzone an, wodurch es bevorzugt zum Einsatz kommt, wenn Ausgaben außerhalb des Systems untersucht werden.

-w, --fullnames
    zeigt die vollständigen Benutzernamen und Domainnamen bzw. IP-Adressen in der Ausgabe an. Domainnamen und IP-Adressen werden auf 16 Zeichen und Benutzernamen auf 8 Zeichen gekürzt, wenn dieser Schalter nicht angegeben ist. An das Ende der gekürzten Felder wird ein Asterisk gesetzt.

-x, --system
    zeigt die Einträge zum Herunterfahren und zu den Runlevel-Änderungen des Systems an.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

ZEITFORMATE

Die Optionen, die das Zeit-Argument akzeptieren, verstehen folgende Formate:
JJJJMMTThhmmss |
JJJJ-MM-TT hh:mm:ss |
JJJJ-MM-TT hh:mm | (Sekunden werden auf 00 gesetzt)
JJJJ-MM-TT | (Zeit wird auf 00:00:00 gesetzt)
hh:mm:ss | (Datum wird auf heute gesetzt)
hh:mm | (Datum wird auf heute gesetzt, Sekunden auf 00)
now |
yesterday | (time is set to 00:00:00)
today | (Zeit wird auf 00:00:00 gesetzt)
tomorrow | (Zeit wird auf 00:00:00 gesetzt)
+5min |
-5days |

DATEIEN

/var/log/wtmp, /var/log/btmp

ANMERKUNGEN

Die Dateien wtmp und btmp könnten nicht gefunden werden. Das System protokolliert nur Informationen in diesen Dateien, wenn diese vorhanden sind. Dies ist ein Problem der lokalen Konfiguration. Wenn Sie diese Dateien verwenden wollen, können sie mit dem einfachen Befehl touch(1) angelegt werden (zum Beispiel touch /var/log/wtmp).

Ein leerer Eintrag ist als Wtmp-Eintrag ein gültiger Typ. Dies bedeutet, dass eine leere Datei oder eine Datei mit Nullen nicht als Fehler interpretiert wird.

Das utmp-Dateiformat verwendet feste Größen der Zeichenketten, was es unmöglich macht, sehr lange Zeichenketten in der Datei zu speichern und durch last anzeigen zu lassen. Die üblichen Begrenzungen liegen bei 32 Byte für einen Benutzer und Leitungsnamen und 256 Bytes für einen Rechnernamen.

AUTOREN

SIEHE AUCH

login(1), wtmp(5), init(8), shutdown(8)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl last ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.